function maj_typepoly( ~, ~)
%maj_typepoly Changement du degre du polynome
% mat a jour les choix de type de poly
%% ======================================================

data=guidata(gcf);
degre= get(data.degre_tag, 'Value');
switch degre
    case 1
        % degre =2
        set(data.polytype_tag, 'Visible', 'on');
        set(data.polytype3_tag, 'Visible', 'off');
        set(data.polytype4_tag, 'Visible', 'off');
    case 2
        % degre =3
        set(data.polytype_tag, 'Visible', 'off');
        set(data.polytype3_tag, 'Visible', 'on');
        set(data.polytype4_tag, 'Visible', 'off');
    case 3
        % degre =4
        set(data.polytype_tag, 'Visible', 'off');
        set(data.polytype3_tag, 'Visible', 'off');
        set(data.polytype4_tag, 'Visible', 'on');
end
end % fin maj_typepoly
